JSON::Validator::Schema::Draft201909(3pm)

NAME
JSON::Validator::Schema::Draft201909 - JSON-Schema Draft 2019-09

SYNOPSIS
See "SYNOPSIS" in JSON::Validator::Schema.

DESCRIPTION
This class represents <https://json-schema.org/specification-links.html#2019-09-formerly-known-as-draft-8>.

Support for parsing the draft is not yet complete. Look at <https://github.com/mojolicious/json-validator/blob/master/t/draft2019-09-acceptance.t> for the most recent overview of what is not yet supported.

Currently less than 1% of the official test suite gets skipped. Here is a list of known limitations:

•   Float and integers are equal up to 64-bit representation limits

    This module is unable to say that the 64-bit number "9007199254740992.0" is the same as "9007199254740992".

•   unevaluatedItems

    See "unevaluatedProperties"

•   unevaluatedProperties

    "unevaluatedItems" and "unevaluatedProperties" needs to track what has been validated or not using annotations. This is not yet supported.

•   $recursiveAnchor

    Basic support for $recursiveRef is supported, but using it together with $recursiveAnchor is not.

ATTRIBUTES

  specification
  my $str = $schema->specification;

Defaults to "<https://json-schema.org/draft/2019-09/schema>".

SEE ALSO
JSON::Validator::Schema.